API Reference
Auto-generated
Agent Onboarding
API reference for agent onboarding endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.POST /api/v1/agent-onboarding/confirm
POST
/api/v1/agent-onboarding/confirmConfirm a SetupIntent and issue a self-serve API key
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| setup_intent_id | string | Required | The Stripe SetupIntent ID returned by /setup-intent. |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/v1/agent-onboarding/confirm \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"setup_intent_id": "example_setup_intent_id"
}'Response Example
JSON
{
"api_key": "example",
"key_prefix": "example",
"organization_id": "example",
"user_id": "example",
"budget_limit_usd": 0
}POST /api/v1/agent-onboarding/setup-intent
POST
/api/v1/agent-onboarding/setup-intentCreate an anonymous Stripe SetupIntent for agent onboarding
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
string | Required | Email to associate with the pending account. |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/v1/agent-onboarding/setup-intent \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "example_email"
}'Response Example
JSON
{
"client_secret": "example",
"setup_intent_id": "example"
}